/*eslint-disable block-scoped-var, id-length, no-control-regex, no-magic-numbers, no-prototype-builtins, no-redeclare, no-shadow, no-var, sort-vars*/
"use strict";

var $protobuf = require("protobufjs/light");

var $root = ($protobuf.roots["default"] || ($protobuf.roots["default"] = new $protobuf.Root()))
.setOptions({
  go_package: ".;pb"
})
.addJSON({
  BattleType: {
    values: {
      nil: 0,
      pve: 1,
      pvp: 2,
      pvb: 3,
      eve: 4
    }
  },
  PlayType: {
    values: {
      "null": 0,
      mainline: 1,
      pagoda: 2,
      rtask: 3,
      hunting: 4,
      viking: 5,
      moonfantasy: 6,
      arena: 7,
      academy: 8,
      heroteaching: 9
    }
  },
  BBattleState: {
    values: {
      "in": 0,
      end: 2
    }
  },
  DBBattleComp: {
    values: {
      draw: 0,
      red: 1,
      bule: 2
    }
  },
  BattleRole: {
    fields: {
      tid: {
        type: "int32",
        id: 1
      },
      oid: {
        type: "string",
        id: 2
      },
      pos: {
        type: "int32",
        id: 3
      },
      heroID: {
        type: "string",
        id: 4
      },
      star: {
        type: "int32",
        id: 5
      },
      lv: {
        type: "int32",
        id: 6
      },
      captainSkill: {
        type: "int32",
        id: 7
      },
      mainSuitSkill: {
        type: "int32",
        id: 8
      },
      subSuitSkill: {
        type: "int32",
        id: 9
      },
      normalSkill: {
        rule: "repeated",
        type: "SkillData",
        id: 10
      },
      equipSkill: {
        rule: "repeated",
        type: "SkillData",
        id: 11
      },
      property: {
        keyType: "string",
        type: "int32",
        id: 12
      },
      ishelp: {
        type: "bool",
        id: 13
      }
    }
  },
  DBBattleFormt: {
    fields: {
      leadpos: {
        type: "int32",
        id: 1
      },
      team: {
        rule: "repeated",
        type: "BattleRole",
        id: 2
      }
    }
  },
  DBBattleRecord: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      title: {
        type: "string",
        id: 2
      },
      btype: {
        type: "BattleType",
        id: 3
      },
      ptype: {
        type: "PlayType",
        id: 4
      },
      plevel: {
        type: "string",
        id: 5
      },
      state: {
        type: "BBattleState",
        id: 6
      },
      redCompId: {
        type: "string",
        id: 7
      },
      redflist: {
        rule: "repeated",
        type: "DBBattleFormt",
        id: 8
      },
      blueCompId: {
        type: "string",
        id: 9
      },
      buleflist: {
        rule: "repeated",
        type: "DBBattleFormt",
        id: 10
      },
      roundresult: {
        rule: "repeated",
        type: "DBBattleComp",
        id: 11
      },
      result: {
        type: "DBBattleComp",
        id: 12
      }
    }
  },
  UserMessage: {
    fields: {
      MainType: {
        type: "string",
        id: 1
      },
      SubType: {
        type: "string",
        id: 2
      },
      data: {
        type: "google.protobuf.Any",
        id: 3
      },
      sec: {
        type: "string",
        id: 4
      }
    }
  },
  AgentMessage: {
    fields: {
      Ip: {
        type: "string",
        id: 1
      },
      UserSessionId: {
        type: "string",
        id: 2
      },
      UserId: {
        type: "string",
        id: 3
      },
      ServiceTag: {
        type: "string",
        id: 4
      },
      GatewayServiceId: {
        type: "string",
        id: 5
      },
      MainType: {
        type: "string",
        id: 6
      },
      SubType: {
        type: "string",
        id: 7
      },
      Message: {
        type: "google.protobuf.Any",
        id: 8
      }
    }
  },
  RPCMessageReply: {
    fields: {
      Code: {
        type: "ErrorCode",
        id: 1
      },
      ErrorMessage: {
        type: "string",
        id: 2
      },
      ErrorData: {
        type: "google.protobuf.Any",
        id: 3
      },
      Reply: {
        rule: "repeated",
        type: "UserMessage",
        id: 4
      }
    }
  },
  AgentBuildReq: {
    fields: {
      UserSessionId: {
        type: "string",
        id: 1
      },
      UserId: {
        type: "string",
        id: 2
      },
      WorkerId: {
        type: "string",
        id: 3
      }
    }
  },
  AgentUnBuildReq: {
    fields: {
      UserSessionId: {
        type: "string",
        id: 1
      }
    }
  },
  AgentSendMessageReq: {
    fields: {
      UserSessionId: {
        type: "string",
        id: 1
      },
      Reply: {
        rule: "repeated",
        type: "UserMessage",
        id: 2
      }
    }
  },
  BatchMessageReq: {
    fields: {
      UserSessionIds: {
        rule: "repeated",
        type: "string",
        id: 1
      },
      MainType: {
        type: "string",
        id: 2
      },
      SubType: {
        type: "string",
        id: 3
      },
      Data: {
        type: "google.protobuf.Any",
        id: 4
      }
    }
  },
  BroadCastMessageReq: {
    fields: {
      MainType: {
        type: "string",
        id: 1
      },
      SubType: {
        type: "string",
        id: 2
      },
      Data: {
        type: "google.protobuf.Any",
        id: 3
      }
    }
  },
  AgentCloseeReq: {
    fields: {
      UserSessionId: {
        type: "string",
        id: 1
      }
    }
  },
  NoticeUserLoginReq: {
    fields: {
      Ip: {
        type: "string",
        id: 1
      },
      UserSessionId: {
        type: "string",
        id: 2
      },
      UserId: {
        type: "string",
        id: 3
      },
      ServiceTag: {
        type: "string",
        id: 4
      },
      GatewayServiceId: {
        type: "string",
        id: 5
      }
    }
  },
  NoticeUserCloseReq: {
    fields: {
      Ip: {
        type: "string",
        id: 1
      },
      UserSessionId: {
        type: "string",
        id: 2
      },
      UserId: {
        type: "string",
        id: 3
      },
      ServiceTag: {
        type: "string",
        id: 4
      },
      GatewayServiceId: {
        type: "string",
        id: 5
      }
    }
  },
  HeroAttributesType: {
    values: {
      Hp: 0,
      Atk: 1,
      Def: 2,
      Speed: 3,
      Crit: 4
    }
  },
  UserAssets: {
    fields: {
      A: {
        type: "string",
        id: 1
      },
      T: {
        type: "string",
        id: 2
      },
      N: {
        type: "int32",
        id: 3
      }
    }
  },
  TaskParam: {
    fields: {
      first: {
        type: "int32",
        id: 1
      },
      second: {
        type: "int32",
        id: 2
      }
    }
  },
  RtaskParam: {
    fields: {
      param1: {
        type: "int32",
        id: 1
      },
      param2: {
        type: "int32",
        id: 2
      },
      param3: {
        type: "int32",
        id: 3
      }
    }
  },
  ErrorCode: {
    values: {
      Success: 0,
      NoFindService: 10,
      NoFindServiceHandleFunc: 11,
      RpcFuncExecutionError: 12,
      CacheReadError: 13,
      SqlExecutionError: 14,
      ReqParameterError: 15,
      SignError: 16,
      InsufficientPermissions: 17,
      NoLogin: 18,
      UserSessionNobeing: 19,
      StateInvalid: 20,
      DBError: 21,
      SystemError: 22,
      DecodeError: 23,
      TimestampTimeout: 24,
      PbError: 25,
      AgentUidEmpty: 26,
      Exception: 100,
      Unknown: 101,
      ResNoEnough: 102,
      ConfigurationException: 103,
      ConfigNoFound: 104,
      UserLogined: 105,
      SecKeyInvalid: 1000,
      SecKey: 1001,
      BindUser: 1002,
      GoldNoEnough: 1003,
      DiamondNoEnough: 1004,
      RoleCreated: 1005,
      UserNickNameExist: 1006,
      VeriCodeNoValid: 1007,
      VeriCodeExpired: 1008,
      UserResetData: 1009,
      UserModiNameCount: 1010,
      UserNickNameEmpty: 1011,
      UserExpandNull: 1012,
      UserExpNoEnough: 1013,
      UserFriendNoEnough: 1014,
      FriendNotSelf: 1100,
      FriendSelfMax: 1101,
      FriendTargetMax: 1102,
      FriendSelfNoData: 1103,
      FriendTargetNoData: 1104,
      FriendYet: 1105,
      FriendApplyYet: 1106,
      FriendSelfBlackYet: 1107,
      FriendTargetBlackYet: 1108,
      FriendApplyError: 1109,
      FriendBlackMax: 1110,
      FriendSearchNameEmpty: 1111,
      FriendZaned: 1112,
      FriendZanreceived: 1113,
      FriendZanSelf: 1114,
      FriendPointLimit: 1115,
      FriendNoreceived: 1116,
      ItemsNoEnough: 1200,
      ItemsNoFoundGird: 1201,
      ItemsGridNumUpper: 1202,
      ItemsGirdAmountUpper: 1203,
      ItemsUseNotSupported: 1204,
      ItemsUseNoCanSell: 1205,
      HeroNoExist: 1300,
      HeroNoEnough: 1301,
      HeroMaxLv: 1302,
      HeroInitCreat: 1303,
      HeroColorErr: 1304,
      HeroSkillUpErr: 1305,
      HeroMaxResonate: 1306,
      HeroNoResonate: 1307,
      HeroNotNeedResonate: 1308,
      HeroNoEnergy: 1309,
      HeroCreate: 1310,
      HeroEquipUpdate: 1311,
      HeroMaxAwaken: 1312,
      HeroIsLock: 1313,
      HeroMaxCount: 1314,
      HeroCostTypeErr: 1315,
      HeroStarErr: 1316,
      HeroTypeErr: 1317,
      HeroExpTypeErr: 1318,
      HeroAddMaxExp: 1319,
      HeroStarLvErr: 1320,
      HeroMaxStarLv: 1321,
      DrawCardTypeNotFound: 1322,
      HeroMaxSkillLv: 1323,
      HeroAlreadyKongFuStatus: 1324,
      EquipmentOnFoundEquipment: 1400,
      EquipmentLvlimitReached: 1401,
      EquipmentIsWorn: 1402,
      EquipmentNoCanSell: 1403,
      MainlineNotFindChapter: 1500,
      MainlineIDFailed: 1501,
      MainlineNotFound: 1502,
      MainlinePreNotFound: 1503,
      MainlineRepeatReward: 1504,
      MainlineCompleteReward: 1505,
      TaskInit: 1600,
      TaskReset: 1601,
      TaskHandle: 1602,
      TaskReceived: 1603,
      TaskActiveInit: 1604,
      TaskActiveNofound: 1605,
      TaskActiveNoenough: 1606,
      TaskNoFinished: 1607,
      TaskFinished: 1608,
      TaskTagEmpty: 1609,
      TaskIdEmpty: 1610,
      TaskNotFound: 1611,
      ShopGoodsIsSoldOut: 1700,
      ShopNoSurplusRefreshNum: 1701,
      MailErr: 1800,
      PagodaNotFound: 1900,
      PagodaLevlErr: 1901,
      PagodaGetRewardErr: 1902,
      PagodaConditionErr: 1903,
      MartialhallNotUnlocked: 2000,
      MartialhallInUse: 2001,
      MartialhallUnlocked: 2002,
      MartialhallNoUnlocked: 2003,
      GourmetMoreOrderTime: 2101,
      GourmetSkillMaxLv: 2102,
      RtaskFinished: 2201,
      RtaskUnFinished: 2202,
      RtaskNoRtask: 2203,
      RtaskRewarded: 2204,
      RtaskPreNoFinish: 2205,
      RtaskCondiNoReach: 2206,
      RtaskNoLastOne: 2207,
      RtaskCondiNoFound: 2208,
      VikingLvErr: 2301,
      VikingBoosType: 2302,
      VikingBuyMaxCount: 2303,
      VikingMaxChallengeCount: 2304,
      MoonfantasyHasExpired: 2401,
      MoonfantasyJoinUp: 2402,
      MoonfantasyDareUp: 2403,
      MoonfantasyBattleNoEnd: 2404,
      MoonfantasyBattleNoWin: 2405,
      MoonfantasyNoJoin: 2406,
      MoonfantasyNotEnoughbattles: 2407,
      BattleNoFoundRecord: 2501,
      LinestoryTaskFinished: 2601,
      LinestorySubTaskFinished: 2602,
      LinestoryTaskDisabledEnter: 2603,
      LinestoryPreTaskNoFinished: 2604,
      HuntingLvErr: 2701,
      HuntingBoosType: 2702,
      HuntingBuyMaxCount: 2703,
      HuntingMaxChallengeCount: 2704,
      LibraryMaxLv: 2801
    }
  },
  google: {
    nested: {
      protobuf: {
        nested: {
          Any: {
            fields: {
              type_url: {
                type: "string",
                id: 1
              },
              value: {
                type: "bytes",
                id: 2
              }
            }
          }
        }
      }
    }
  },
  LineUp: {
    fields: {
      cid: {
        type: "string",
        id: 1
      },
      star: {
        type: "int32",
        id: 2
      },
      lv: {
        type: "int32",
        id: 3
      }
    }
  },
  BattleFormation: {
    fields: {
      leadpos: {
        type: "int32",
        id: 1
      },
      format: {
        rule: "repeated",
        type: "string",
        id: 2
      },
      friendformat: {
        rule: "repeated",
        type: "string",
        id: 3
      }
    }
  },
  BattleEVEReq: {
    fields: {
      ptype: {
        type: "PlayType",
        id: 1
      },
      title: {
        type: "string",
        id: 2
      },
      redformat: {
        rule: "repeated",
        type: "int32",
        id: 3
      },
      buleformat: {
        rule: "repeated",
        type: "int32",
        id: 4
      }
    }
  },
  BattlePVEReq: {
    fields: {
      ptype: {
        type: "PlayType",
        id: 1
      },
      title: {
        type: "string",
        id: 2
      },
      format: {
        type: "BattleFormation",
        id: 4
      },
      mformat: {
        rule: "repeated",
        type: "int32",
        id: 5
      }
    }
  },
  PVPFormation: {
    fields: {
      uid: {
        type: "string",
        id: 1
      },
      leadpos: {
        type: "int32",
        id: 2
      },
      format: {
        rule: "repeated",
        type: "DBHero",
        id: 3
      }
    }
  },
  BattlePVPReq: {
    fields: {
      ptype: {
        type: "PlayType",
        id: 1
      },
      title: {
        type: "string",
        id: 2
      },
      redformat: {
        type: "PVPFormation",
        id: 4
      },
      buleformat: {
        type: "PVPFormation",
        id: 5
      }
    }
  },
  BattleInfo: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      title: {
        type: "string",
        id: 2
      },
      btype: {
        type: "BattleType",
        id: 3
      },
      ptype: {
        type: "PlayType",
        id: 4
      },
      redCompId: {
        type: "string",
        id: 5
      },
      redflist: {
        rule: "repeated",
        type: "DBBattleFormt",
        id: 6
      },
      blueCompId: {
        type: "string",
        id: 7
      },
      buleflist: {
        rule: "repeated",
        type: "DBBattleFormt",
        id: 8
      },
      tasks: {
        rule: "repeated",
        type: "int32",
        id: 9
      }
    }
  },
  BattleReport: {
    fields: {
      info: {
        type: "BattleInfo",
        id: 1
      },
      Costtime: {
        type: "int32",
        id: 2
      },
      process: {
        type: "bytes",
        id: 3
      },
      completetask: {
        rule: "repeated",
        type: "int32",
        id: 4
      }
    }
  },
  SkillData: {
    fields: {
      skillID: {
        type: "int32",
        id: 1
      },
      skillLv: {
        type: "int32",
        id: 2
      }
    }
  },
  HeroType: {
    values: {
      HeroTypeNil: 0,
      HeroTypeKongFu: 1
    }
  },
  DBHero: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      heroID: {
        type: "string",
        id: 3
      },
      star: {
        type: "int32",
        id: 4
      },
      lv: {
        type: "int32",
        id: 5
      },
      exp: {
        type: "int32",
        id: 6
      },
      juexingLv: {
        type: "int32",
        id: 7
      },
      captainSkill: {
        type: "int32",
        id: 8
      },
      normalSkill: {
        rule: "repeated",
        type: "SkillData",
        id: 9
      },
      property: {
        keyType: "string",
        type: "int32",
        id: 10
      },
      addProperty: {
        keyType: "string",
        type: "int32",
        id: 11
      },
      cardType: {
        type: "int32",
        id: 12
      },
      curSkin: {
        type: "int32",
        id: 13
      },
      skins: {
        rule: "repeated",
        type: "int32",
        id: 14
      },
      block: {
        type: "bool",
        id: 15
      },
      equipID: {
        rule: "repeated",
        type: "string",
        id: 16
      },
      resonateNum: {
        type: "int32",
        id: 17
      },
      distributionResonate: {
        type: "int32",
        id: 18
      },
      energy: {
        keyType: "string",
        type: "int32",
        id: 19
      },
      sameCount: {
        type: "int32",
        id: 20
      },
      suiteId: {
        type: "int32",
        id: 21
      },
      suiteExtId: {
        type: "int32",
        id: 22
      },
      isOverlying: {
        type: "bool",
        id: 23
      },
      energyProperty: {
        keyType: "string",
        type: "int32",
        id: 24
      },
      juexProperty: {
        keyType: "string",
        type: "int32",
        id: 25
      },
      status: {
        type: "HeroType",
        id: 26
      },
      suite1Star: {
        type: "int32",
        id: 27
      },
      suite2Star: {
        type: "int32",
        id: 28
      },
      suite1Lv: {
        type: "int32",
        id: 29
      },
      suite2Lv: {
        type: "int32",
        id: 30
      }
    }
  },
  Floor: {
    fields: {
      h4: {
        type: "int32",
        id: 1
      },
      h5: {
        type: "int32",
        id: 2
      }
    }
  },
  DBHeroRecord: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      star4: {
        type: "int32",
        id: 3
      },
      star5: {
        type: "int32",
        id: 4
      },
      mtime: {
        type: "int64",
        id: 5
      },
      drawcount: {
        type: "int32",
        id: 6
      }
    }
  },
  ChatChannel: {
    values: {
      World: 0,
      Union: 1,
      Private: 2,
      CrossServer: 3,
      System: 4
    }
  },
  ChatType: {
    values: {
      Text: 0,
      Moonfantasy: 1,
      Share: 2,
      HeroShare: 3,
      EquipmentShare: 4,
      ItemShare: 5
    }
  },
  DBChat: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      channel: {
        type: "ChatChannel",
        id: 2
      },
      ctype: {
        type: "ChatType",
        id: 3
      },
      suid: {
        type: "string",
        id: 4
      },
      slv: {
        type: "int32",
        id: 5
      },
      ruid: {
        type: "string",
        id: 6
      },
      channelId: {
        type: "int32",
        id: 7
      },
      unionId: {
        type: "string",
        id: 8
      },
      stag: {
        type: "string",
        id: 9
      },
      avatar: {
        type: "string",
        id: 10
      },
      uname: {
        type: "string",
        id: 11
      },
      content: {
        type: "string",
        id: 12
      },
      ctime: {
        type: "int64",
        id: 13
      },
      appendInt: {
        type: "int64",
        id: 14
      },
      appendStr: {
        type: "string",
        id: 15
      },
      appendBool: {
        type: "string",
        id: 16
      },
      appendBytes: {
        type: "bytes",
        id: 17
      }
    }
  },
  ChatMessagePush: {
    fields: {
      chat: {
        type: "DBChat",
        id: 1
      }
    }
  },
  ChatCrossChannelReq: {
    fields: {}
  },
  ChatCrossChannelResp: {
    fields: {
      channelId: {
        type: "int32",
        id: 1
      }
    }
  },
  ChatChanageChannelReq: {
    fields: {
      channelId: {
        type: "int32",
        id: 1
      }
    }
  },
  ChatChanageChannelResp: {
    fields: {
      channelId: {
        type: "int32",
        id: 1
      },
      isSucc: {
        type: "bool",
        id: 2
      }
    }
  },
  ChatGetListReq: {
    fields: {
      channel: {
        type: "ChatChannel",
        id: 1
      },
      channelId: {
        type: "int32",
        id: 2
      }
    }
  },
  ChatGetListResp: {
    fields: {
      chats: {
        rule: "repeated",
        type: "DBChat",
        id: 1
      }
    }
  },
  ChatGetCrossListReq: {
    fields: {
      channel: {
        type: "ChatChannel",
        id: 1
      },
      channelId: {
        type: "int32",
        id: 2
      }
    }
  },
  ChatGetCrossListResp: {
    fields: {
      chats: {
        rule: "repeated",
        type: "DBChat",
        id: 1
      }
    }
  },
  ChatSendReq: {
    fields: {
      avatar: {
        type: "string",
        id: 1
      },
      uname: {
        type: "string",
        id: 2
      },
      ulv: {
        type: "int32",
        id: 3
      },
      channel: {
        type: "ChatChannel",
        id: 4
      },
      targetId: {
        type: "string",
        id: 5
      },
      ctype: {
        type: "ChatType",
        id: 6
      },
      content: {
        type: "string",
        id: 7
      },
      appendInt: {
        type: "int64",
        id: 8
      },
      appendStr: {
        type: "string",
        id: 9
      },
      appendBool: {
        type: "string",
        id: 10
      },
      appendBytes: {
        type: "bytes",
        id: 11
      }
    }
  },
  ChatSendResp: {
    fields: {
      issucc: {
        type: "bool",
        id: 1
      }
    }
  },
  ChatSendCrossReq: {
    fields: {
      avatar: {
        type: "string",
        id: 1
      },
      uname: {
        type: "string",
        id: 2
      },
      ulv: {
        type: "int32",
        id: 3
      },
      channel: {
        type: "ChatChannel",
        id: 4
      },
      targetId: {
        type: "string",
        id: 5
      },
      ctype: {
        type: "ChatType",
        id: 6
      },
      content: {
        type: "string",
        id: 7
      },
      appendInt: {
        type: "int64",
        id: 8
      },
      appendStr: {
        type: "string",
        id: 9
      },
      appendBool: {
        type: "string",
        id: 10
      },
      appendBytes: {
        type: "bytes",
        id: 11
      }
    }
  },
  ChatSendCrossResp: {
    fields: {
      issucc: {
        type: "bool",
        id: 1
      }
    }
  },
  DBCombatUser: {
    fields: {
      uid: {
        type: "string",
        id: 1
      },
      currlevel: {
        type: "int32",
        id: 2
      },
      passmanster: {
        rule: "repeated",
        type: "int32",
        id: 3
      },
      passdrop: {
        rule: "repeated",
        type: "int32",
        id: 4
      }
    }
  },
  CombatInReq: {
    fields: {
      id: {
        type: "int32",
        id: 1
      }
    }
  },
  CombatInResp: {
    fields: {
      id: {
        type: "int32",
        id: 1
      }
    }
  },
  CombatOutReq: {
    fields: {
      id: {
        type: "int32",
        id: 1
      }
    }
  },
  CombatOutResp: {
    fields: {
      id: {
        type: "int32",
        id: 1
      }
    }
  },
  CombatChallengeReq: {
    fields: {
      manster: {
        type: "int32",
        id: 1
      },
      battle: {
        type: "BattleFormation",
        id: 2
      }
    }
  },
  CombatChallengeResp: {
    fields: {
      code: {
        type: "ErrorCode",
        id: 1
      },
      manster: {
        type: "int32",
        id: 2
      },
      info: {
        type: "BattleInfo",
        id: 3
      }
    }
  },
  CombatChallengeReceiveReq: {
    fields: {
      manster: {
        type: "int32",
        id: 1
      },
      report: {
        type: "BattleReport",
        id: 2
      }
    }
  },
  CombatChallengeReceiveResp: {
    fields: {
      issucc: {
        type: "bool",
        id: 1
      }
    }
  },
  CombatDropReq: {
    fields: {
      drop: {
        type: "int32",
        id: 1
      }
    }
  },
  CombatDropResp: {
    fields: {
      code: {
        type: "ErrorCode",
        id: 1
      },
      atns: {
        rule: "repeated",
        type: "UserAssets",
        id: 2
      }
    }
  },
  EquipmentAttributeEntry: {
    fields: {
      Id: {
        type: "int32",
        id: 1
      },
      libraryid: {
        type: "int32",
        id: 2
      },
      AttrName: {
        type: "string",
        id: 3
      },
      Lv: {
        type: "int32",
        id: 4
      },
      Value: {
        type: "int32",
        id: 5
      },
      BaseValue: {
        type: "int32",
        id: 6
      }
    }
  },
  DB_Equipment: {
    fields: {
      Id: {
        type: "string",
        id: 1
      },
      cId: {
        type: "string",
        id: 2
      },
      uId: {
        type: "string",
        id: 3
      },
      heroId: {
        type: "string",
        id: 4
      },
      lv: {
        type: "int32",
        id: 5
      },
      keepFailNum: {
        type: "int32",
        id: 6
      },
      mainEntry: {
        type: "EquipmentAttributeEntry",
        id: 7
      },
      adverbEntry: {
        rule: "repeated",
        type: "EquipmentAttributeEntry",
        id: 8
      },
      overlayNum: {
        type: "uint32",
        id: 9
      },
      isInitialState: {
        type: "bool",
        id: 10
      },
      islock: {
        type: "bool",
        id: 11
      }
    }
  },
  EquipmentGetListReq: {
    fields: {}
  },
  EquipmentGetListResp: {
    fields: {
      Equipments: {
        rule: "repeated",
        type: "DB_Equipment",
        id: 1
      }
    }
  },
  EquipmentChangePush: {
    fields: {
      Equipments: {
        rule: "repeated",
        type: "DB_Equipment",
        id: 1
      }
    }
  },
  EquipmentEquipReq: {
    fields: {
      HeroCardId: {
        type: "string",
        id: 1
      },
      EquipmentId: {
        rule: "repeated",
        type: "string",
        id: 2
      }
    }
  },
  EquipmentEquipResp: {
    fields: {
      Equipments: {
        rule: "repeated",
        type: "DB_Equipment",
        id: 1
      }
    }
  },
  EquipmentUpgradeReq: {
    fields: {
      EquipmentId: {
        type: "string",
        id: 1
      }
    }
  },
  EquipmentUpgradeResp: {
    fields: {
      IsSucc: {
        type: "bool",
        id: 1
      },
      Equipment: {
        rule: "repeated",
        type: "DB_Equipment",
        id: 2
      }
    }
  },
  EquipmentLockReq: {
    fields: {
      EquipmentId: {
        type: "string",
        id: 1
      },
      IsLock: {
        type: "bool",
        id: 2
      }
    }
  },
  EquipmentLockResp: {
    fields: {
      IsSucc: {
        type: "bool",
        id: 1
      },
      EquipmentId: {
        type: "string",
        id: 2
      },
      IsLock: {
        type: "bool",
        id: 3
      }
    }
  },
  EquipmentSellReq: {
    fields: {
      EquipIds: {
        rule: "repeated",
        type: "string",
        id: 1
      }
    }
  },
  EquipmentSellResp: {
    fields: {
      IsSucc: {
        type: "bool",
        id: 1
      }
    }
  },
  CommentState: {
    values: {
      Release: 0,
      Offline: 1
    }
  },
  DBComment: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      heroid: {
        type: "string",
        id: 2
      },
      heroobjid: {
        type: "string",
        id: 3
      },
      uid: {
        type: "string",
        id: 4
      },
      stage: {
        type: "string",
        id: 5
      },
      avatar: {
        type: "string",
        id: 6
      },
      uname: {
        type: "string",
        id: 7
      },
      state: {
        type: "CommentState",
        id: 8
      },
      ctime: {
        type: "int64",
        id: 9
      },
      content: {
        type: "string",
        id: 10
      },
      starlist: {
        type: "int32",
        id: 11
      }
    }
  },
  ForumGetListReq: {
    fields: {
      herocid: {
        type: "string",
        id: 1
      }
    }
  },
  ForumGetListResp: {
    fields: {
      comment: {
        rule: "repeated",
        type: "DBComment",
        id: 1
      }
    }
  },
  ForumReleaseCommentReq: {
    fields: {
      avatar: {
        type: "string",
        id: 1
      },
      uname: {
        type: "string",
        id: 2
      },
      herocid: {
        type: "string",
        id: 3
      },
      herooid: {
        type: "string",
        id: 4
      },
      content: {
        type: "string",
        id: 5
      }
    }
  },
  ForumReleaseCommentResp: {
    fields: {
      comment: {
        type: "DBComment",
        id: 1
      }
    }
  },
  ForumWatchHeroReq: {
    fields: {
      uid: {
        type: "string",
        id: 1
      },
      stag: {
        type: "string",
        id: 2
      },
      herocId: {
        type: "string",
        id: 3
      },
      herooId: {
        type: "string",
        id: 4
      }
    }
  },
  ForumWatchHeroResp: {
    fields: {
      hero: {
        type: "DBHero",
        id: 1
      }
    }
  },
  ForumLikeReq: {
    fields: {
      herocid: {
        type: "string",
        id: 1
      },
      cid: {
        type: "string",
        id: 2
      },
      islike: {
        type: "bool",
        id: 3
      }
    }
  },
  ForumLikeResp: {
    fields: {
      cid: {
        type: "string",
        id: 1
      },
      islike: {
        type: "bool",
        id: 2
      },
      issucc: {
        type: "bool",
        id: 3
      }
    }
  },
  DBFriend: {
    fields: {
      uid: {
        type: "string",
        id: 1
      },
      friendIds: {
        rule: "repeated",
        type: "string",
        id: 2
      },
      applyIds: {
        rule: "repeated",
        type: "string",
        id: 3
      },
      blackIds: {
        rule: "repeated",
        type: "string",
        id: 4
      },
      zanIds: {
        rule: "repeated",
        type: "string",
        id: 5
      },
      getZandIds: {
        rule: "repeated",
        type: "string",
        id: 6
      },
      assistHeroId: {
        type: "string",
        id: 7
      },
      received: {
        type: "int32",
        id: 8
      },
      updateTime: {
        type: "int64",
        id: 9
      }
    }
  },
  FriendBase: {
    fields: {
      userId: {
        type: "string",
        id: 1
      },
      NickName: {
        type: "string",
        id: 2
      },
      level: {
        type: "int32",
        id: 3
      },
      avatar: {
        type: "string",
        id: 4
      },
      strength: {
        type: "int64",
        id: 5
      },
      serverId: {
        type: "string",
        id: 6
      },
      offlineTime: {
        type: "int64",
        id: 7
      },
      isApplied: {
        type: "bool",
        id: 8
      },
      isZaned: {
        type: "bool",
        id: 9
      },
      isGetZaned: {
        type: "bool",
        id: 10
      },
      heroObjId: {
        type: "string",
        id: 11
      }
    }
  },
  FriendListReq: {
    fields: {}
  },
  FriendListResp: {
    fields: {
      list: {
        rule: "repeated",
        type: "FriendBase",
        id: 1
      }
    }
  },
  FriendRandlistReq: {
    fields: {}
  },
  FriendRandlistResp: {
    fields: {
      list: {
        rule: "repeated",
        type: "FriendBase",
        id: 1
      }
    }
  },
  FriendApplyReq: {
    fields: {
      friendId: {
        type: "string",
        id: 1
      }
    }
  },
  FriendApplyResp: {
    fields: {
      userId: {
        type: "string",
        id: 1
      },
      friendId: {
        type: "string",
        id: 2
      }
    }
  },
  FriendDelReq: {
    fields: {
      friendId: {
        type: "string",
        id: 1
      }
    }
  },
  FriendDelResp: {
    fields: {
      friendId: {
        type: "string",
        id: 1
      },
      userId: {
        type: "string",
        id: 2
      }
    }
  },
  FriendAgreeReq: {
    fields: {
      friendIds: {
        rule: "repeated",
        type: "string",
        id: 1
      }
    }
  },
  FriendAgreeResp: {
    fields: {
      Num: {
        type: "int32",
        id: 1
      }
    }
  },
  FriendRefuseReq: {
    fields: {
      friendIds: {
        rule: "repeated",
        type: "string",
        id: 1
      }
    }
  },
  FriendRefuseResp: {
    fields: {
      Num: {
        type: "int32",
        id: 1
      }
    }
  },
  FriendApplyListReq: {
    fields: {}
  },
  FriendApplyListResp: {
    fields: {
      list: {
        rule: "repeated",
        type: "FriendBase",
        id: 1
      }
    }
  },
  FriendSearchReq: {
    fields: {
      nickName: {
        type: "string",
        id: 1
      }
    }
  },
  FriendSearchResp: {
    fields: {
      friend: {
        type: "FriendBase",
        id: 1
      }
    }
  },
  FriendBlackListReq: {
    fields: {}
  },
  FriendBlackListResp: {
    fields: {
      friends: {
        rule: "repeated",
        type: "FriendBase",
        id: 1
      }
    }
  },
  FriendAddBlackReq: {
    fields: {
      friendId: {
        type: "string",
        id: 1
      }
    }
  },
  FriendAddBlackResp: {
    fields: {
      friendId: {
        type: "string",
        id: 1
      },
      userId: {
        type: "string",
        id: 2
      }
    }
  },
  FriendDelBlackReq: {
    fields: {
      friendId: {
        type: "string",
        id: 1
      }
    }
  },
  FriendDelBlackResp: {
    fields: {
      friendId: {
        type: "string",
        id: 1
      },
      userId: {
        type: "string",
        id: 2
      }
    }
  },
  FriendTotalReq: {
    fields: {
      friendId: {
        type: "string",
        id: 1
      }
    }
  },
  FriendTotalResp: {
    fields: {
      friendId: {
        type: "string",
        id: 1
      },
      total: {
        type: "int32",
        id: 2
      }
    }
  },
  FriendZanlistReq: {
    fields: {}
  },
  FriendZanlistResp: {
    fields: {
      list: {
        rule: "repeated",
        type: "FriendBase",
        id: 1
      }
    }
  },
  FriendZanReq: {
    fields: {
      friendIds: {
        rule: "repeated",
        type: "string",
        id: 1
      }
    }
  },
  FriendZanResp: {
    fields: {
      flag: {
        type: "bool",
        id: 1
      }
    }
  },
  FriendZanreceiveReq: {
    fields: {
      friendIds: {
        rule: "repeated",
        type: "string",
        id: 1
      }
    }
  },
  FriendZanreceiveResp: {
    fields: {
      flag: {
        type: "bool",
        id: 1
      }
    }
  },
  FriendAssistheroReq: {
    fields: {
      heroObjId: {
        type: "string",
        id: 1
      }
    }
  },
  FriendAssistheroResp: {
    fields: {
      heroObjId: {
        type: "string",
        id: 1
      },
      received: {
        type: "int32",
        id: 2
      }
    }
  },
  FriendAssistlistReq: {
    fields: {}
  },
  FriendAssistlistResp: {
    fields: {
      list: {
        rule: "repeated",
        type: "FriendBase",
        id: 1
      },
      heroObjId: {
        type: "string",
        id: 2
      }
    }
  },
  FriendGetrewardReq: {
    fields: {}
  },
  FriendGetrewardResp: {
    fields: {
      received: {
        type: "int32",
        id: 1
      }
    }
  },
  GMCmdReq: {
    fields: {
      Cmod: {
        type: "string",
        id: 1
      }
    }
  },
  GMCmdResp: {
    fields: {
      IsSucc: {
        type: "bool",
        id: 1
      }
    }
  },
  Cooking: {
    fields: {
      foodType: {
        type: "int32",
        id: 1
      },
      eTime: {
        type: "int64",
        id: 2
      },
      sTime: {
        type: "int64",
        id: 3
      }
    }
  },
  OrderCook: {
    fields: {
      foodType: {
        type: "int32",
        id: 1
      },
      foodCount: {
        type: "int32",
        id: 2
      },
      cookTime: {
        type: "int32",
        id: 3
      }
    }
  },
  DBGourmet: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      cookingFood: {
        type: "Cooking",
        id: 3
      },
      foods: {
        rule: "repeated",
        type: "OrderCook",
        id: 4
      },
      items: {
        rule: "repeated",
        type: "UserAssets",
        id: 5
      },
      skill: {
        keyType: "int32",
        type: "int32",
        id: 6
      },
      specialSkill: {
        keyType: "int32",
        type: "int32",
        id: 7
      },
      orderCostTime: {
        type: "int32",
        id: 8
      },
      ctime: {
        type: "int64",
        id: 9
      }
    }
  },
  GourmetGetListReq: {
    fields: {}
  },
  GourmetGetListResp: {
    fields: {
      data: {
        type: "DBGourmet",
        id: 1
      }
    }
  },
  GourmetCreateOrderReq: {
    fields: {
      order: {
        rule: "repeated",
        type: "OrderCook",
        id: 1
      }
    }
  },
  GourmetCreateOrderResp: {
    fields: {
      data: {
        type: "DBGourmet",
        id: 1
      }
    }
  },
  GourmetGetRewardReq: {
    fields: {}
  },
  GourmetGetRewardResp: {
    fields: {
      data: {
        type: "DBGourmet",
        id: 1
      }
    }
  },
  GourmetSkillLvReq: {
    fields: {
      skillType: {
        type: "int32",
        id: 1
      }
    }
  },
  GourmetSkillLvResp: {
    fields: {
      data: {
        type: "DBGourmet",
        id: 1
      }
    }
  },
  HeroInfoReq: {
    fields: {
      heroId: {
        type: "string",
        id: 1
      }
    }
  },
  HeroInfoResp: {
    fields: {
      base: {
        type: "DBHero",
        id: 1
      }
    }
  },
  HeroListReq: {
    fields: {}
  },
  HeroListResp: {
    fields: {
      list: {
        rule: "repeated",
        type: "DBHero",
        id: 1
      }
    }
  },
  ItemData: {
    fields: {
      itemId: {
        type: "int32",
        id: 2
      },
      amount: {
        type: "int32",
        id: 3
      }
    }
  },
  MapStringInt32: {
    fields: {
      Key: {
        type: "string",
        id: 1
      },
      Value: {
        type: "int32",
        id: 2
      }
    }
  },
  HeroStrengthenUplvReq: {
    fields: {
      heroObjID: {
        type: "string",
        id: 1
      },
      expCards: {
        rule: "repeated",
        type: "MapStringInt32",
        id: 2
      }
    }
  },
  HeroStrengthenUplvResp: {
    fields: {
      hero: {
        type: "DBHero",
        id: 1
      }
    }
  },
  CostCardData: {
    fields: {
      costCardObj: {
        type: "string",
        id: 1
      },
      amount: {
        type: "int32",
        id: 2
      }
    }
  },
  HeroStrengthenUpStarReq: {
    fields: {
      heroObjID: {
        type: "string",
        id: 1
      },
      hero: {
        rule: "repeated",
        type: "CostCardData",
        id: 2
      },
      heroRace: {
        rule: "repeated",
        type: "CostCardData",
        id: 3
      }
    }
  },
  HeroStrengthenUpStarResp: {
    fields: {
      hero: {
        type: "DBHero",
        id: 1
      }
    }
  },
  HeroStrengthenUpSkillReq: {
    fields: {
      heroObjID: {
        type: "string",
        id: 1
      },
      costCardObj: {
        rule: "repeated",
        type: "string",
        id: 2
      }
    }
  },
  HeroStrengthenUpSkillResp: {
    fields: {
      hero: {
        type: "DBHero",
        id: 1
      }
    }
  },
  HeroResonanceReq: {
    fields: {
      heroObjID: {
        type: "string",
        id: 1
      },
      costObjID: {
        rule: "repeated",
        type: "string",
        id: 2
      }
    }
  },
  HeroResonanceResp: {
    fields: {
      hero: {
        type: "DBHero",
        id: 1
      },
      energy: {
        type: "int32",
        id: 2
      },
      upStarCard: {
        type: "DBHero",
        id: 3
      }
    }
  },
  HeroResonanceResetReq: {
    fields: {
      heroObjID: {
        type: "string",
        id: 1
      }
    }
  },
  HeroResonanceResetResp: {
    fields: {
      hero: {
        type: "DBHero",
        id: 1
      },
      energy: {
        type: "int32",
        id: 2
      }
    }
  },
  EnergyData: {
    fields: {
      useEnergy: {
        type: "int32",
        id: 1
      },
      useType: {
        type: "string",
        id: 2
      }
    }
  },
  HeroResonanceUseEnergyReq: {
    fields: {
      heroObjID: {
        type: "string",
        id: 1
      },
      energy: {
        rule: "repeated",
        type: "EnergyData",
        id: 2
      }
    }
  },
  HeroResonanceUseEnergyResp: {
    fields: {
      hero: {
        type: "DBHero",
        id: 1
      }
    }
  },
  HeroAwakenReq: {
    fields: {
      heroObjID: {
        type: "string",
        id: 1
      }
    }
  },
  HeroAwakenResp: {
    fields: {
      hero: {
        type: "DBHero",
        id: 1
      }
    }
  },
  HeroPropertyPush: {
    fields: {
      heroId: {
        type: "string",
        id: 1
      },
      property: {
        keyType: "string",
        type: "int32",
        id: 2
      },
      addProperty: {
        keyType: "string",
        type: "int32",
        id: 3
      }
    }
  },
  HeroLockReq: {
    fields: {
      heroid: {
        type: "string",
        id: 1
      }
    }
  },
  HeroLockResp: {
    fields: {
      hero: {
        type: "DBHero",
        id: 1
      }
    }
  },
  HeroGetSpecifiedReq: {
    fields: {
      heroCoinfigID: {
        type: "string",
        id: 1
      },
      Amount: {
        type: "int32",
        id: 2
      },
      star: {
        type: "int32",
        id: 3
      },
      lv: {
        type: "int32",
        id: 4
      }
    }
  },
  HeroGetSpecifiedResp: {
    fields: {
      hero: {
        type: "DBHero",
        id: 1
      }
    }
  },
  HeroDrawCardReq: {
    fields: {
      drawType: {
        type: "int32",
        id: 1
      },
      drawCount: {
        type: "int32",
        id: 2
      }
    }
  },
  HeroDrawCardResp: {
    fields: {
      heroes: {
        rule: "repeated",
        type: "string",
        id: 1
      }
    }
  },
  HeroChangePush: {
    fields: {
      list: {
        rule: "repeated",
        type: "DBHero",
        id: 1
      }
    }
  },
  HeroDrawCardFloorReq: {
    fields: {}
  },
  HeroDrawCardFloorResp: {
    fields: {
      star4: {
        type: "int32",
        id: 1
      },
      star5: {
        type: "int32",
        id: 2
      }
    }
  },
  DBHoroscope: {
    fields: {
      uid: {
        type: "string",
        id: 1
      },
      nodes: {
        keyType: "int32",
        type: "int32",
        id: 2
      },
      lastrest: {
        type: "int64",
        id: 3
      }
    }
  },
  HoroscopeInfoReq: {
    fields: {}
  },
  HoroscopeInfoResp: {
    fields: {
      info: {
        type: "DBHoroscope",
        id: 1
      }
    }
  },
  HoroscopeUpgradeReq: {
    fields: {
      nid: {
        type: "int32",
        id: 1
      }
    }
  },
  HoroscopeUpgradeResp: {
    fields: {
      nid: {
        type: "int32",
        id: 1
      },
      lv: {
        type: "int32",
        id: 2
      }
    }
  },
  HoroscopeResetReq: {
    fields: {}
  },
  HoroscopeResetResp: {
    fields: {
      issucc: {
        type: "bool",
        id: 1
      }
    }
  },
  DBHunting: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      challengeCount: {
        type: "int32",
        id: 3
      },
      boss: {
        keyType: "int32",
        type: "int32",
        id: 4
      },
      buyCount: {
        type: "int32",
        id: 5
      },
      cTime: {
        type: "int64",
        id: 6
      },
      bossTime: {
        keyType: "string",
        type: "int32",
        id: 7
      }
    }
  },
  DBHuntingRank: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      difficulty: {
        type: "int32",
        id: 3
      },
      bosstype: {
        type: "int32",
        id: 4
      },
      nickname: {
        type: "string",
        id: 5
      },
      icon: {
        type: "string",
        id: 6
      },
      lv: {
        type: "int32",
        id: 7
      },
      costTime: {
        type: "int32",
        id: 8
      }
    }
  },
  HuntingGetListReq: {
    fields: {}
  },
  HuntingGetListResp: {
    fields: {
      data: {
        type: "DBHunting",
        id: 1
      }
    }
  },
  HuntingChallengeReq: {
    fields: {
      bossType: {
        type: "int32",
        id: 1
      },
      difficulty: {
        type: "int32",
        id: 2
      },
      leadpos: {
        type: "int32",
        id: 3
      },
      teamids: {
        rule: "repeated",
        type: "string",
        id: 4
      }
    }
  },
  HuntingChallengeResp: {
    fields: {
      info: {
        type: "BattleInfo",
        id: 1
      },
      bossType: {
        type: "int32",
        id: 2
      },
      difficulty: {
        type: "int32",
        id: 3
      }
    }
  },
  HuntingChallengeOverReq: {
    fields: {
      bossType: {
        type: "int32",
        id: 1
      },
      difficulty: {
        type: "int32",
        id: 2
      },
      report: {
        type: "BattleReport",
        id: 3
      }
    }
  },
  HuntingChallengeOverResp: {
    fields: {
      data: {
        type: "DBHunting",
        id: 1
      }
    }
  },
  HuntingBuyReq: {
    fields: {
      count: {
        type: "int32",
        id: 1
      }
    }
  },
  HuntingBuyResp: {
    fields: {
      data: {
        type: "DBHunting",
        id: 1
      }
    }
  },
  HuntingRankListReq: {
    fields: {
      boosType: {
        type: "int32",
        id: 1
      },
      friend: {
        type: "bool",
        id: 2
      }
    }
  },
  HuntingRankListResp: {
    fields: {
      ranks: {
        rule: "repeated",
        type: "DBHuntingRank",
        id: 1
      }
    }
  },
  DB_UserItemData: {
    fields: {
      gridId: {
        type: "string",
        id: 1
      },
      uId: {
        type: "string",
        id: 2
      },
      itemId: {
        type: "string",
        id: 3
      },
      amount: {
        type: "uint32",
        id: 4
      },
      cTime: {
        type: "int64",
        id: 5
      },
      eTime: {
        type: "int64",
        id: 6
      },
      isNewItem: {
        type: "bool",
        id: 7
      },
      lastopt: {
        type: "int64",
        id: 8
      }
    }
  },
  ItemsGetlistReq: {
    fields: {
      IType: {
        type: "int32",
        id: 1
      }
    }
  },
  ItemsGetlistResp: {
    fields: {
      Grids: {
        rule: "repeated",
        type: "DB_UserItemData",
        id: 1
      }
    }
  },
  ItemsChangePush: {
    fields: {
      Grids: {
        rule: "repeated",
        type: "DB_UserItemData",
        id: 1
      }
    }
  },
  ItemsUseItemReq: {
    fields: {
      GridId: {
        type: "string",
        id: 1
      },
      Amount: {
        type: "uint32",
        id: 2
      },
      Select: {
        type: "int32",
        id: 3
      }
    }
  },
  ItemsUseItemResp: {
    fields: {
      GridId: {
        type: "string",
        id: 1
      },
      Amount: {
        type: "uint32",
        id: 2
      },
      issucc: {
        type: "bool",
        id: 3
      }
    }
  },
  ItemsSellItemReq: {
    fields: {
      GridId: {
        type: "string",
        id: 1
      },
      ItemId: {
        type: "string",
        id: 2
      },
      Amount: {
        type: "uint32",
        id: 3
      }
    }
  },
  ItemsSellItemResp: {
    fields: {
      GridId: {
        type: "string",
        id: 1
      },
      Amount: {
        type: "uint32",
        id: 2
      },
      issucc: {
        type: "bool",
        id: 3
      }
    }
  },
  DBLibrary: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      fid: {
        type: "int32",
        id: 3
      },
      hero: {
        keyType: "string",
        type: "int32",
        id: 4
      },
      prize: {
        keyType: "int32",
        type: "int32",
        id: 5
      },
      fetterlv: {
        type: "int32",
        id: 6
      },
      storyid: {
        type: "int32",
        id: 7
      },
      activation: {
        type: "bool",
        id: 8
      }
    }
  },
  DBHeroFetter: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      heroid: {
        type: "string",
        id: 3
      },
      history: {
        rule: "repeated",
        type: "int32",
        id: 4
      },
      favorlv: {
        type: "int32",
        id: 5
      },
      favorexp: {
        type: "int32",
        id: 6
      },
      stroyprize: {
        type: "int32",
        id: 7
      }
    }
  },
  LibraryGetListReq: {
    fields: {}
  },
  LibraryGetListResp: {
    fields: {
      data: {
        rule: "repeated",
        type: "DBLibrary",
        id: 1
      }
    }
  },
  LibraryGetFetterListReq: {
    fields: {}
  },
  LibraryGetFetterListResp: {
    fields: {
      data: {
        rule: "repeated",
        type: "DBHeroFetter",
        id: 1
      }
    }
  },
  LibraryGetRewardReq: {
    fields: {
      objId: {
        type: "string",
        id: 1
      }
    }
  },
  LibraryGetRewardResp: {
    fields: {
      data: {
        type: "DBLibrary",
        id: 1
      }
    }
  },
  LibraryGetStoryRewardReq: {
    fields: {
      hid: {
        type: "string",
        id: 1
      },
      history: {
        type: "int32",
        id: 2
      },
      rightend: {
        type: "int32",
        id: 3
      }
    }
  },
  LibraryGetStoryRewardResp: {
    fields: {
      data: {
        type: "DBLibrary",
        id: 1
      }
    }
  },
  LibraryUseGiftReq: {
    fields: {
      heroid: {
        type: "string",
        id: 1
      },
      items: {
        keyType: "string",
        type: "int32",
        id: 2
      }
    }
  },
  LibraryUseGiftResp: {
    fields: {
      data: {
        type: "DBHeroFetter",
        id: 1
      }
    }
  },
  TaskNode: {
    fields: {
      status: {
        type: "int32",
        id: 1
      },
      subtaskIds: {
        rule: "repeated",
        type: "int32",
        id: 2
      }
    }
  },
  DBLinestory: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      jqId: {
        type: "int32",
        id: 3
      },
      tasks: {
        keyType: "int32",
        type: "TaskNode",
        id: 4
      }
    }
  },
  LinestoryStartReq: {
    fields: {
      jqId: {
        type: "int32",
        id: 1
      }
    }
  },
  LinestoryStartResp: {
    fields: {
      jqId: {
        type: "int32",
        id: 1
      },
      taskIds: {
        rule: "repeated",
        type: "int32",
        id: 2
      }
    }
  },
  LinestoryDotaskReq: {
    fields: {
      taskId: {
        type: "int32",
        id: 1
      },
      subtaskId: {
        type: "int32",
        id: 2
      }
    }
  },
  LinestoryDotaskResp: {
    fields: {
      taskId: {
        type: "int32",
        id: 1
      },
      subtaskId: {
        type: "int32",
        id: 2
      },
      resetTaskId: {
        type: "int32",
        id: 3
      }
    }
  },
  DBMailData: {
    fields: {
      ObjId: {
        type: "string",
        id: 1
      },
      Uid: {
        type: "string",
        id: 2
      },
      Title: {
        type: "string",
        id: 3
      },
      Contex: {
        type: "string",
        id: 4
      },
      CreateTime: {
        type: "uint64",
        id: 5
      },
      DueTime: {
        type: "uint64",
        id: 6
      },
      Check: {
        type: "bool",
        id: 7
      },
      Reward: {
        type: "bool",
        id: 8
      },
      Items: {
        rule: "repeated",
        type: "UserAssets",
        id: 9
      },
      Cid: {
        type: "string",
        id: 10
      },
      Param: {
        rule: "repeated",
        type: "string",
        id: 11
      }
    }
  },
  MailGetListReq: {
    fields: {}
  },
  MailGetListResp: {
    fields: {
      Mails: {
        rule: "repeated",
        type: "DBMailData",
        id: 1
      }
    }
  },
  MailReadMailReq: {
    fields: {
      ObjID: {
        type: "string",
        id: 1
      }
    }
  },
  MailReadMailResp: {
    fields: {
      Mail: {
        type: "DBMailData",
        id: 1
      }
    }
  },
  MailGetUserMailAttachmentReq: {
    fields: {
      ObjID: {
        type: "string",
        id: 1
      }
    }
  },
  MailGetUserMailAttachmentResp: {
    fields: {
      Mail: {
        type: "DBMailData",
        id: 1
      }
    }
  },
  MailDelMailReq: {
    fields: {
      ObjID: {
        type: "string",
        id: 1
      }
    }
  },
  MailDelMailResp: {
    fields: {
      ObjID: {
        type: "string",
        id: 1
      }
    }
  },
  MailGetNewMailPush: {
    fields: {
      Mail: {
        type: "DBMailData",
        id: 1
      }
    }
  },
  MailGetAllMailAttachmentReq: {
    fields: {}
  },
  MailGetAllMailAttachmentResp: {
    fields: {
      res: {
        rule: "repeated",
        type: "UserAssets",
        id: 1
      },
      ids: {
        rule: "repeated",
        type: "string",
        id: 2
      }
    }
  },
  AwaredType: {
    values: {
      TypeNil: 0,
      TypeAvailable: 1,
      TypeReceived: 2
    }
  },
  DBMainline: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      chapterId: {
        type: "int32",
        id: 3
      },
      mainlineId: {
        type: "int32",
        id: 4
      },
      awaredID: {
        type: "AwaredType",
        id: 5
      },
      branchID: {
        rule: "repeated",
        type: "int32",
        id: 6
      },
      intensity: {
        type: "int32",
        id: 7
      }
    }
  },
  MainlineGetListReq: {
    fields: {}
  },
  MainlineGetListResp: {
    fields: {
      data: {
        rule: "repeated",
        type: "DBMainline",
        id: 1
      }
    }
  },
  MainlineGetRewardReq: {
    fields: {
      chapterObj: {
        type: "string",
        id: 1
      }
    }
  },
  MainlineGetRewardResp: {
    fields: {
      data: {
        type: "DBMainline",
        id: 1
      }
    }
  },
  MainlineChallengeReq: {
    fields: {
      chapterObj: {
        type: "string",
        id: 1
      },
      mainlineId: {
        type: "uint32",
        id: 2
      },
      leadpos: {
        type: "int32",
        id: 3
      },
      teamids: {
        rule: "repeated",
        type: "string",
        id: 4
      }
    }
  },
  MainlineChallengeResp: {
    fields: {
      info: {
        type: "BattleInfo",
        id: 1
      },
      chapterObj: {
        type: "string",
        id: 2
      },
      mainlineId: {
        type: "uint32",
        id: 3
      }
    }
  },
  MainlineChallengeOverReq: {
    fields: {
      chapterObj: {
        type: "string",
        id: 1
      },
      mainlineId: {
        type: "uint32",
        id: 2
      },
      report: {
        type: "BattleReport",
        id: 3
      }
    }
  },
  MainlineChallengeOverResp: {
    fields: {
      data: {
        type: "DBMainline",
        id: 1
      }
    }
  },
  MainlineNewChapterPush: {
    fields: {
      data: {
        type: "DBMainline",
        id: 1
      }
    }
  },
  PillarState: {
    values: {
      NoUse: 0,
      Useing: 1,
      Receive: 2
    }
  },
  DBPillar: {
    fields: {
      index: {
        type: "int32",
        id: 1
      },
      isunlock: {
        type: "bool",
        id: 2
      },
      state: {
        type: "PillarState",
        id: 3
      },
      hero: {
        type: "string",
        id: 4
      },
      start: {
        type: "int64",
        id: 5
      },
      end: {
        type: "int64",
        id: 6
      },
      lastbill: {
        type: "int64",
        id: 7
      },
      reward: {
        type: "int32",
        id: 8
      }
    }
  },
  DBMartialhall: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      lv: {
        type: "int32",
        id: 3
      },
      pillar1: {
        type: "DBPillar",
        id: 4
      },
      pillar2: {
        type: "DBPillar",
        id: 5
      },
      pillar3: {
        type: "DBPillar",
        id: 6
      },
      pillar4: {
        type: "DBPillar",
        id: 7
      },
      pillar5: {
        type: "DBPillar",
        id: 8
      }
    }
  },
  MartialhallInfoReq: {
    fields: {}
  },
  MartialhallInfoResp: {
    fields: {
      info: {
        type: "DBMartialhall",
        id: 1
      }
    }
  },
  MartialhallPracticeReq: {
    fields: {
      pillar: {
        type: "int32",
        id: 1
      },
      hero: {
        type: "string",
        id: 2
      },
      time: {
        type: "int32",
        id: 3
      }
    }
  },
  MartialhallPracticeResp: {
    fields: {
      issucc: {
        type: "bool",
        id: 1
      },
      info: {
        type: "DBMartialhall",
        id: 2
      }
    }
  },
  MartialhallReceiveReq: {
    fields: {
      pillar: {
        type: "int32",
        id: 1
      }
    }
  },
  MartialhallReceiveResp: {
    fields: {}
  },
  MartialhallUpgradeReq: {
    fields: {}
  },
  MartialhallUpgradeResp: {
    fields: {
      issucc: {
        type: "bool",
        id: 1
      },
      info: {
        type: "DBMartialhall",
        id: 2
      }
    }
  },
  MartialhallUnLockReq: {
    fields: {
      pillar: {
        type: "int32",
        id: 1
      }
    }
  },
  MartialhallUnLockResp: {
    fields: {
      issucc: {
        type: "bool",
        id: 1
      },
      info: {
        type: "DBMartialhall",
        id: 2
      }
    }
  },
  UserInfo: {
    fields: {
      uid: {
        type: "string",
        id: 1
      },
      name: {
        type: "string",
        id: 2
      },
      avatar: {
        type: "string",
        id: 3
      },
      lv: {
        type: "int32",
        id: 4
      }
    }
  },
  DBMoonFantasy: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      monster: {
        type: "string",
        id: 3
      },
      ctime: {
        type: "int64",
        id: 4
      },
      join: {
        rule: "repeated",
        type: "UserInfo",
        id: 5
      },
      numup: {
        type: "int32",
        id: 6
      },
      unitmup: {
        type: "int32",
        id: 7
      },
      record: {
        keyType: "string",
        type: "int32",
        id: 8
      }
    }
  },
  DBUserMFantasy: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      mfantasys: {
        rule: "repeated",
        type: "string",
        id: 3
      },
      triggerNum: {
        type: "int32",
        id: 4
      },
      battleNum: {
        type: "int32",
        id: 5
      },
      buyNum: {
        type: "int32",
        id: 6
      },
      lastTrigger: {
        type: "int64",
        id: 7
      }
    }
  },
  MoonfantasyGetListReq: {
    fields: {}
  },
  MoonfantasyGetListResp: {
    fields: {
      battleNum: {
        type: "int32",
        id: 1
      },
      buyNum: {
        type: "int32",
        id: 2
      },
      dfantasys: {
        rule: "repeated",
        type: "DBMoonFantasy",
        id: 3
      }
    }
  },
  MoonfantasyTriggerPush: {
    fields: {
      issucc: {
        type: "bool",
        id: 1
      },
      mid: {
        type: "string",
        id: 2
      },
      monster: {
        type: "string",
        id: 3
      }
    }
  },
  MoonfantasyAskReq: {
    fields: {
      mid: {
        type: "string",
        id: 1
      }
    }
  },
  MoonfantasyAskResp: {
    fields: {
      code: {
        type: "ErrorCode",
        id: 1
      },
      info: {
        type: "DBMoonFantasy",
        id: 2
      }
    }
  },
  MoonfantasyBattleReq: {
    fields: {
      mid: {
        type: "string",
        id: 1
      },
      leadpos: {
        type: "int32",
        id: 2
      },
      teamids: {
        rule: "repeated",
        type: "string",
        id: 3
      }
    }
  },
  MoonfantasyBattleResp: {
    fields: {
      code: {
        type: "ErrorCode",
        id: 1
      },
      mid: {
        type: "string",
        id: 2
      },
      info: {
        type: "BattleInfo",
        id: 3
      }
    }
  },
  MoonfantasyReceiveReq: {
    fields: {
      bid: {
        type: "string",
        id: 2
      },
      mid: {
        type: "string",
        id: 3
      },
      report: {
        type: "BattleReport",
        id: 4
      }
    }
  },
  MoonfantasyReceiveResp: {
    fields: {
      issucc: {
        type: "bool",
        id: 1
      }
    }
  },
  MoonfantasyBuyReq: {
    fields: {
      BuyNum: {
        type: "int32",
        id: 1
      }
    }
  },
  MoonfantasyBuyResp: {
    fields: {
      issucc: {
        type: "bool",
        id: 1
      },
      BattleNum: {
        type: "int32",
        id: 2
      }
    }
  },
  DBSystemNotify: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      title: {
        type: "string",
        id: 2
      },
      content: {
        type: "string",
        id: 3
      },
      istop: {
        type: "bool",
        id: 4
      },
      ctime: {
        type: "int64",
        id: 5
      },
      rtime: {
        type: "int64",
        id: 6
      }
    }
  },
  NotifyErrorNotifyPush: {
    fields: {
      ReqMainType: {
        type: "string",
        id: 1
      },
      ReqSubType: {
        type: "string",
        id: 2
      },
      Code: {
        type: "ErrorCode",
        id: 3
      },
      Message: {
        type: "string",
        id: 4
      },
      arg: {
        type: "google.protobuf.Any",
        id: 5
      },
      Data: {
        type: "google.protobuf.Any",
        id: 6
      }
    }
  },
  NotifyGetListReq: {
    fields: {}
  },
  NotifyGetListResp: {
    fields: {
      LastReadTime: {
        type: "int64",
        id: 1
      },
      SysNotify: {
        rule: "repeated",
        type: "DBSystemNotify",
        id: 2
      }
    }
  },
  DBPagoda: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      pagodaId: {
        type: "int32",
        id: 3
      },
      reward: {
        keyType: "int32",
        type: "bool",
        id: 4
      },
      type: {
        type: "int32",
        id: 5
      }
    }
  },
  DBSeasonPagoda: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      pagodaId: {
        type: "int32",
        id: 3
      },
      reward: {
        keyType: "int32",
        type: "bool",
        id: 4
      },
      type: {
        type: "int32",
        id: 5
      }
    }
  },
  DBPagodaRecord: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      pagodaId: {
        type: "int32",
        id: 3
      },
      type: {
        type: "int32",
        id: 4
      },
      nickname: {
        type: "string",
        id: 5
      },
      icon: {
        type: "string",
        id: 6
      },
      lv: {
        type: "int32",
        id: 7
      },
      leadpos: {
        type: "int32",
        id: 8
      },
      line: {
        rule: "repeated",
        type: "LineUp",
        id: 9
      },
      costTime: {
        type: "int32",
        id: 10
      }
    }
  },
  PagodaGetListReq: {
    fields: {}
  },
  PagodaGetListResp: {
    fields: {
      data: {
        type: "DBPagoda",
        id: 1
      }
    }
  },
  PagodaGetRewardReq: {
    fields: {
      id: {
        type: "int32",
        id: 1
      }
    }
  },
  PagodaGetRewardResp: {
    fields: {
      data: {
        type: "DBPagoda",
        id: 1
      }
    }
  },
  PagodaChallengeReq: {
    fields: {
      levelID: {
        type: "int32",
        id: 1
      },
      PagodaType: {
        type: "int32",
        id: 2
      },
      leadpos: {
        type: "int32",
        id: 3
      },
      teamids: {
        rule: "repeated",
        type: "string",
        id: 4
      }
    }
  },
  PagodaChallengeResp: {
    fields: {
      info: {
        type: "BattleInfo",
        id: 1
      },
      levelID: {
        type: "int32",
        id: 2
      },
      PagodaType: {
        type: "int32",
        id: 3
      }
    }
  },
  PagodaChallengeOverReq: {
    fields: {
      levelID: {
        type: "int32",
        id: 1
      },
      PagodaType: {
        type: "int32",
        id: 2
      },
      report: {
        type: "BattleReport",
        id: 3
      }
    }
  },
  PagodaChallengeOverResp: {
    fields: {
      data: {
        type: "DBPagoda",
        id: 1
      }
    }
  },
  PagodaRankListReq: {
    fields: {
      floorId: {
        type: "int32",
        id: 1
      },
      friend: {
        type: "bool",
        id: 2
      }
    }
  },
  PagodaRankListResp: {
    fields: {
      ranks: {
        rule: "repeated",
        type: "DBPagodaRecord",
        id: 1
      }
    }
  },
  PagodaQueryRecordReq: {
    fields: {}
  },
  PagodaQueryRecordResp: {
    fields: {
      data: {
        type: "DBPagodaRecord",
        id: 1
      }
    }
  },
  DBPayOrder: {
    fields: {
      orderid: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      productid: {
        type: "string",
        id: 3
      },
      ctime: {
        type: "int64",
        id: 4
      }
    }
  },
  DBUserPay: {
    fields: {
      uid: {
        type: "string",
        id: 1
      },
      record: {
        keyType: "string",
        type: "int32",
        id: 2
      }
    }
  },
  PayDailyItem: {
    fields: {
      id: {
        type: "int32",
        id: 1
      },
      buyunm: {
        type: "int32",
        id: 2
      },
      lastrefresh: {
        type: "int64",
        id: 3
      }
    }
  },
  DBPayDaily: {
    fields: {
      uid: {
        type: "string",
        id: 1
      },
      items: {
        keyType: "int32",
        type: "PayDailyItem",
        id: 2
      }
    }
  },
  PayInfoReq: {
    fields: {}
  },
  PayInfoResp: {
    fields: {
      info: {
        type: "DBPayDaily",
        id: 1
      }
    }
  },
  PayDailyBuyReq: {
    fields: {
      id: {
        type: "int32",
        id: 1
      }
    }
  },
  PayDailyBuyResp: {
    fields: {
      isucc: {
        type: "bool",
        id: 1
      }
    }
  },
  PayDeliveryReq: {
    fields: {
      uid: {
        type: "string",
        id: 1
      },
      orderid: {
        type: "string",
        id: 2
      },
      productid: {
        type: "string",
        id: 3
      }
    }
  },
  PayDeliveryResp: {
    fields: {
      code: {
        type: "ErrorCode",
        id: 1
      },
      msg: {
        type: "string",
        id: 2
      }
    }
  },
  ReddotGetAllReq: {
    fields: {}
  },
  ReddotGetAllResp: {
    fields: {
      reddot: {
        keyType: "int32",
        type: "bool",
        id: 1
      }
    }
  },
  ReddotGetReq: {
    fields: {
      rids: {
        rule: "repeated",
        type: "int32",
        id: 1
      }
    }
  },
  ReddotGetResp: {
    fields: {
      reddot: {
        keyType: "int32",
        type: "bool",
        id: 1
      }
    }
  },
  frtaskIds: {
    fields: {
      rtaskIds: {
        rule: "repeated",
        type: "int32",
        id: 1
      }
    }
  },
  DBRtask: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      frtaskIds: {
        keyType: "int32",
        type: "frtaskIds",
        id: 3
      },
      nextRtaskId: {
        type: "int32",
        id: 4
      },
      isReward: {
        type: "bool",
        id: 5
      }
    }
  },
  rtaskData: {
    fields: {
      data: {
        keyType: "int32",
        type: "int32",
        id: 1
      },
      rtype: {
        type: "int32",
        id: 2
      },
      timestamp: {
        type: "int64",
        id: 3
      }
    }
  },
  DBRtaskRecord: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      vals: {
        keyType: "int32",
        type: "rtaskData",
        id: 3
      }
    }
  },
  RtaskApplyReq: {
    fields: {
      rtaskId: {
        type: "int32",
        id: 1
      },
      rtaskSubId: {
        type: "int32",
        id: 2
      }
    }
  },
  RtaskApplyResp: {
    fields: {
      rtaskId: {
        type: "int32",
        id: 1
      }
    }
  },
  RtasklistReq: {
    fields: {
      groupId: {
        type: "int32",
        id: 1
      }
    }
  },
  RtasklistResp: {
    fields: {
      rtaskIds: {
        rule: "repeated",
        type: "int32",
        id: 1
      },
      groupId: {
        type: "int32",
        id: 2
      }
    }
  },
  RtaskChooseReq: {
    fields: {
      rtaskId: {
        type: "int32",
        id: 1
      },
      chooseId: {
        type: "int32",
        id: 2
      },
      rtaskSubId: {
        type: "int32",
        id: 3
      }
    }
  },
  RtaskChooseResp: {
    fields: {
      rtaskId: {
        type: "int32",
        id: 1
      },
      chooseId: {
        type: "int32",
        id: 2
      },
      rtaskSubId: {
        type: "int32",
        id: 3
      }
    }
  },
  RtaskFinishPush: {
    fields: {
      rtaskId: {
        type: "int32",
        id: 1
      }
    }
  },
  RtaskFinishIdsPush: {
    fields: {
      rtaskId: {
        rule: "repeated",
        type: "int32",
        id: 1
      },
      groupId: {
        type: "int32",
        id: 2
      }
    }
  },
  RtaskGetRewardReq: {
    fields: {
      rtaskId: {
        type: "int32",
        id: 1
      },
      rtaskSubId: {
        type: "int32",
        id: 2
      }
    }
  },
  RtaskGetRewardResp: {
    fields: {
      rtaskId: {
        type: "int32",
        id: 1
      },
      rtaskSubId: {
        type: "int32",
        id: 2
      }
    }
  },
  RtaskBattleStartReq: {
    fields: {
      battleConfId: {
        type: "int32",
        id: 1
      },
      leadpos: {
        type: "int32",
        id: 3
      },
      teamids: {
        rule: "repeated",
        type: "string",
        id: 4
      }
    }
  },
  RtaskBattleStartResp: {
    fields: {
      info: {
        type: "BattleInfo",
        id: 1
      }
    }
  },
  RtaskBattleFinishReq: {
    fields: {
      rtaskId: {
        type: "int32",
        id: 1
      },
      rtaskSubId: {
        type: "int32",
        id: 2
      },
      chooseId: {
        type: "int32",
        id: 3
      }
    }
  },
  RtaskBattleFinishResp: {
    fields: {
      rtaskId: {
        type: "int32",
        id: 1
      },
      rtaskSubId: {
        type: "int32",
        id: 2
      }
    }
  },
  RtaskGetrecordReq: {
    fields: {}
  },
  RtaskGetrecordResp: {
    fields: {
      record: {
        type: "DBRtaskRecord",
        id: 1
      }
    }
  },
  RtaskTestReq: {
    fields: {
      rtaskType: {
        type: "int32",
        id: 1
      },
      params: {
        rule: "repeated",
        type: "int32",
        id: 2
      },
      condiId: {
        type: "int32",
        id: 3
      },
      groupId: {
        type: "int32",
        id: 4
      },
      rtaskIds: {
        type: "string",
        id: 5
      }
    }
  },
  RtaskTestResp: {
    fields: {
      flag: {
        type: "bool",
        id: 1
      },
      rtaskIds: {
        rule: "repeated",
        type: "int32",
        id: 2
      }
    }
  },
  ShopType: {
    values: {
      Null: 0,
      GoldShop: 1,
      DiamondShop: 2,
      PVPShop: 3,
      PVEShop: 4,
      AllianceShop: 5
    }
  },
  UserShopData: {
    fields: {
      LastRefreshTime: {
        type: "int64",
        id: 1
      },
      ManualRefreshNum: {
        type: "int32",
        id: 2
      },
      Items: {
        rule: "repeated",
        type: "int32",
        id: 3
      },
      buy: {
        keyType: "int32",
        type: "int32",
        id: 4
      }
    }
  },
  DBShop: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      goldShop: {
        type: "UserShopData",
        id: 3
      },
      diamondShop: {
        type: "UserShopData",
        id: 4
      },
      pvpShop: {
        type: "UserShopData",
        id: 5
      },
      pveShop: {
        type: "UserShopData",
        id: 6
      },
      allianceShop: {
        type: "UserShopData",
        id: 7
      }
    }
  },
  ShopItem: {
    fields: {
      GoodsId: {
        type: "int32",
        id: 1
      },
      Items: {
        rule: "repeated",
        type: "UserAssets",
        id: 2
      },
      Consume: {
        rule: "repeated",
        type: "UserAssets",
        id: 3
      },
      Sale: {
        type: "int32",
        id: 4
      },
      LeftBuyNum: {
        type: "int32",
        id: 5
      }
    }
  },
  ShopGetListReq: {
    fields: {
      sType: {
        type: "ShopType",
        id: 1
      },
      IsManualRefresh: {
        type: "bool",
        id: 2
      }
    }
  },
  ShopGetListResp: {
    fields: {
      sType: {
        type: "ShopType",
        id: 1
      },
      IsManualRefresh: {
        type: "bool",
        id: 2
      },
      Goods: {
        rule: "repeated",
        type: "ShopItem",
        id: 4
      },
      SurplusRefreshNum: {
        type: "int32",
        id: 5
      }
    }
  },
  ShopBuyReq: {
    fields: {
      ShopType: {
        type: "ShopType",
        id: 1
      },
      GoodsId: {
        type: "int32",
        id: 2
      },
      BuyNum: {
        type: "int32",
        id: 3
      }
    }
  },
  ShopBuyResp: {
    fields: {
      IsSucc: {
        type: "bool",
        id: 1
      }
    }
  },
  Clang: {
    fields: {
      deskType: {
        type: "int32",
        id: 1
      },
      eTime: {
        type: "int64",
        id: 2
      },
      sTime: {
        type: "int64",
        id: 3
      }
    }
  },
  OrderClang: {
    fields: {
      deskType: {
        type: "int32",
        id: 1
      },
      count: {
        type: "int32",
        id: 2
      },
      needTime: {
        type: "int32",
        id: 3
      }
    }
  },
  DBSmithy: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      clang: {
        type: "Clang",
        id: 3
      },
      orders: {
        rule: "repeated",
        type: "OrderClang",
        id: 4
      },
      items: {
        rule: "repeated",
        type: "UserAssets",
        id: 5
      },
      skill: {
        keyType: "int32",
        type: "int32",
        id: 6
      },
      stoveLv: {
        type: "int32",
        id: 7
      },
      orderCostTime: {
        type: "int32",
        id: 8
      },
      ctime: {
        type: "int64",
        id: 9
      },
      deskFloor: {
        keyType: "int32",
        type: "int32",
        id: 10
      },
      stoveFloor: {
        type: "int32",
        id: 11
      }
    }
  },
  SmithyGetListReq: {
    fields: {}
  },
  SmithyGetListResp: {
    fields: {
      data: {
        type: "DBSmithy",
        id: 1
      }
    }
  },
  SmithyCreateOrderReq: {
    fields: {
      order: {
        rule: "repeated",
        type: "OrderClang",
        id: 1
      }
    }
  },
  SmithyCreateOrderResp: {
    fields: {
      data: {
        type: "DBSmithy",
        id: 1
      }
    }
  },
  SmithyGetRewardReq: {
    fields: {}
  },
  SmithyGetRewardResp: {
    fields: {
      data: {
        type: "DBSmithy",
        id: 1
      }
    }
  },
  SmithyDeskSkillLvReq: {
    fields: {
      deskType: {
        type: "int32",
        id: 1
      }
    }
  },
  SmithyDeskSkillLvResp: {
    fields: {
      data: {
        type: "DBSmithy",
        id: 1
      }
    }
  },
  SmithyStoveSkillLvReq: {
    fields: {}
  },
  SmithyStoveSkillLvResp: {
    fields: {
      data: {
        type: "DBSmithy",
        id: 1
      }
    }
  },
  SmithyGetRandUserReq: {
    fields: {}
  },
  SmithyGetRandUserResp: {
    fields: {
      user: {
        rule: "repeated",
        type: "string",
        id: 1
      }
    }
  },
  SysFuncListReq: {
    fields: {}
  },
  SysFuncListResp: {
    fields: {
      funcIds: {
        rule: "repeated",
        type: "string",
        id: 1
      }
    }
  },
  DBTask: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      taskId: {
        type: "int32",
        id: 3
      },
      tag: {
        type: "int32",
        id: 4
      },
      progress: {
        type: "int32",
        id: 5
      },
      active: {
        type: "int32",
        id: 6
      },
      status: {
        type: "int32",
        id: 7
      },
      received: {
        type: "int32",
        id: 8
      },
      typeId: {
        type: "int32",
        id: 9
      },
      sort: {
        type: "int32",
        id: 10
      }
    }
  },
  DBTaskActive: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      rId: {
        type: "int32",
        id: 3
      },
      tag: {
        type: "int32",
        id: 4
      },
      received: {
        type: "int32",
        id: 5
      }
    }
  },
  TaskReceiveReq: {
    fields: {
      taskTag: {
        type: "int32",
        id: 1
      },
      id: {
        type: "string",
        id: 2
      }
    }
  },
  TaskReceiveResp: {
    fields: {
      taskId: {
        type: "int32",
        id: 1
      }
    }
  },
  TaskListReq: {
    fields: {
      taskTag: {
        type: "int32",
        id: 1
      }
    }
  },
  TaskListResp: {
    fields: {
      list: {
        rule: "repeated",
        type: "DBTask",
        id: 1
      }
    }
  },
  TaskActiveListReq: {
    fields: {
      taskTag: {
        type: "int32",
        id: 1
      }
    }
  },
  TaskActiveListResp: {
    fields: {
      list: {
        rule: "repeated",
        type: "DBTaskActive",
        id: 1
      },
      active: {
        type: "int32",
        id: 2
      }
    }
  },
  TaskActiveReceiveReq: {
    fields: {
      taskTag: {
        type: "int32",
        id: 1
      },
      id: {
        type: "string",
        id: 2
      }
    }
  },
  TaskActiveReceiveResp: {
    fields: {
      taskTag: {
        type: "int32",
        id: 1
      },
      id: {
        type: "string",
        id: 2
      }
    }
  },
  TaskDoStrategyReq: {
    fields: {
      heroCfgId: {
        type: "int32",
        id: 1
      }
    }
  },
  TaskDoStrategyResp: {
    fields: {
      taskIds: {
        rule: "repeated",
        type: "int32",
        id: 1
      }
    }
  },
  TaskFinishedPush: {
    fields: {
      taskId: {
        type: "int32",
        id: 1
      }
    }
  },
  CacheUser: {
    fields: {
      uid: {
        type: "string",
        id: 1
      },
      SessionId: {
        type: "string",
        id: 2
      },
      ServiceTag: {
        type: "string",
        id: 3
      },
      GatewayServiceId: {
        type: "string",
        id: 4
      },
      ip: {
        type: "string",
        id: 5
      }
    }
  },
  DBUser: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      uuid: {
        type: "string",
        id: 3
      },
      binduid: {
        type: "string",
        id: 4
      },
      name: {
        type: "string",
        id: 5
      },
      sid: {
        type: "string",
        id: 6
      },
      createip: {
        type: "string",
        id: 7
      },
      lastloginip: {
        type: "string",
        id: 8
      },
      ctime: {
        type: "int64",
        id: 9
      },
      logintime: {
        type: "int64",
        id: 10
      },
      avatar: {
        type: "string",
        id: 12
      },
      gold: {
        type: "int64",
        id: 13
      },
      exp: {
        type: "int64",
        id: 14
      },
      created: {
        type: "bool",
        id: 15
      },
      lv: {
        type: "int32",
        id: 16
      },
      vip: {
        type: "int32",
        id: 17
      },
      diamond: {
        type: "int64",
        id: 18
      },
      title: {
        type: "int32",
        id: 19
      },
      offlinetime: {
        type: "int64",
        id: 11
      },
      figure: {
        type: "int32",
        id: 20
      },
      bgp: {
        type: "int32",
        id: 21
      }
    }
  },
  DBUserSetting: {
    fields: {
      uid: {
        type: "string",
        id: 2
      },
      huazhi: {
        type: "uint32",
        id: 3
      },
      kangjuchi: {
        type: "uint32",
        id: 4
      },
      gaoguang: {
        type: "bool",
        id: 5
      },
      wuli: {
        type: "bool",
        id: 6
      },
      music: {
        type: "bool",
        id: 7
      },
      effect: {
        type: "bool",
        id: 8
      },
      guaji: {
        type: "bool",
        id: 9
      },
      fuben: {
        type: "bool",
        id: 10
      },
      tansuo: {
        type: "bool",
        id: 11
      },
      huodong: {
        type: "bool",
        id: 12
      },
      xuanshang: {
        type: "bool",
        id: 13
      },
      saiji: {
        type: "bool",
        id: 14
      }
    }
  },
  UserLoginReq: {
    fields: {
      account: {
        type: "string",
        id: 1
      },
      sid: {
        type: "string",
        id: 2
      }
    }
  },
  UserLoginResp: {
    fields: {
      data: {
        type: "DBUser",
        id: 1
      },
      ex: {
        type: "DBUserExpand",
        id: 2
      },
      timeNow: {
        type: "int64",
        id: 3
      }
    }
  },
  UserInfoReq: {
    fields: {}
  },
  UserInfoResp: {
    fields: {
      data: {
        type: "DBUser",
        id: 1
      },
      ex: {
        type: "DBUserExpand",
        id: 2
      }
    }
  },
  UserLogoutReq: {
    fields: {}
  },
  UserLogoutResp: {
    fields: {}
  },
  UserRegisterReq: {
    fields: {
      account: {
        type: "string",
        id: 1
      },
      sid: {
        type: "string",
        id: 2
      }
    }
  },
  UserRegisterResp: {
    fields: {
      Code: {
        type: "ErrorCode",
        id: 1
      },
      account: {
        type: "string",
        id: 2
      }
    }
  },
  UserLoadResp: {
    fields: {
      data: {
        type: "CacheUser",
        id: 1
      }
    }
  },
  UserCreateReq: {
    fields: {
      NickName: {
        type: "string",
        id: 1
      }
    }
  },
  UserCreateResp: {
    fields: {
      IsSucc: {
        type: "bool",
        id: 1
      }
    }
  },
  UserResChangedPush: {
    fields: {
      gold: {
        type: "int64",
        id: 1
      },
      exp: {
        type: "int64",
        id: 2
      },
      diamond: {
        type: "int64",
        id: 5
      },
      friend: {
        type: "int32",
        id: 6
      }
    }
  },
  UserGetSettingReq: {
    fields: {}
  },
  UserGetSettingResp: {
    fields: {
      setting: {
        type: "DBUserSetting",
        id: 1
      }
    }
  },
  UserUpdateSettingReq: {
    fields: {
      setting: {
        type: "DBUserSetting",
        id: 1
      }
    }
  },
  UserUpdateSettingResp: {
    fields: {
      uid: {
        type: "string",
        id: 1
      }
    }
  },
  UserVeriCodeReq: {
    fields: {}
  },
  UserVeriCodeResp: {
    fields: {
      code: {
        type: "int32",
        id: 1
      }
    }
  },
  UserInitdataReq: {
    fields: {
      code: {
        type: "int32",
        id: 1
      }
    }
  },
  UserInitdataResp: {
    fields: {
      uid: {
        type: "string",
        id: 1
      }
    }
  },
  UserModifynameReq: {
    fields: {
      name: {
        type: "string",
        id: 1
      }
    }
  },
  UserModifynameResp: {
    fields: {
      uid: {
        type: "string",
        id: 1
      },
      count: {
        type: "uint32",
        id: 2
      },
      name: {
        type: "string",
        id: 3
      }
    }
  },
  UserModifyavatarReq: {
    fields: {
      avatarId: {
        type: "string",
        id: 1
      }
    }
  },
  UserModifyavatarResp: {
    fields: {
      uid: {
        type: "string",
        id: 1
      },
      avatarId: {
        type: "string",
        id: 2
      }
    }
  },
  UserModifybgpReq: {
    fields: {
      bgpId: {
        type: "int32",
        id: 1
      }
    }
  },
  UserModifybgpResp: {
    fields: {
      uid: {
        type: "string",
        id: 1
      },
      bgpId: {
        type: "int32",
        id: 2
      }
    }
  },
  UserModifyfigureReq: {
    fields: {
      figureId: {
        type: "int32",
        id: 1
      }
    }
  },
  UserModifyfigureResp: {
    fields: {
      uid: {
        type: "string",
        id: 1
      },
      figureId: {
        type: "int32",
        id: 2
      }
    }
  },
  UserGetTujianReq: {
    fields: {}
  },
  UserGetTujianResp: {
    fields: {
      heroids: {
        rule: "repeated",
        type: "string",
        id: 1
      }
    }
  },
  UserLvChangedPush: {
    fields: {
      uid: {
        type: "string",
        id: 1
      },
      exp: {
        type: "int64",
        id: 2
      },
      lv: {
        type: "int32",
        id: 3
      }
    }
  },
  UserModifysignReq: {
    fields: {
      sign: {
        type: "string",
        id: 1
      }
    }
  },
  UserModifysignResp: {
    fields: {
      uid: {
        type: "string",
        id: 1
      }
    }
  },
  UserBattlerecordReq: {
    fields: {}
  },
  UserBattlerecordResp: {
    fields: {
      uid: {
        type: "string",
        id: 1
      },
      pagodaRecord: {
        type: "DBPagodaRecord",
        id: 2
      }
    }
  },
  DBUserExpand: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      lastreadnotiftime: {
        type: "int64",
        id: 3
      },
      lastInitdataTime: {
        type: "int64",
        id: 4
      },
      initdataCount: {
        type: "uint32",
        id: 5
      },
      chatchannel: {
        type: "int32",
        id: 6
      },
      modifynameCount: {
        type: "int32",
        id: 7
      },
      tujian: {
        keyType: "string",
        type: "int32",
        id: 8
      },
      activeday: {
        type: "int32",
        id: 11
      },
      activeweek: {
        type: "int32",
        id: 12
      },
      sign: {
        type: "string",
        id: 13
      },
      friendPoint: {
        type: "int32",
        id: 14
      },
      friendPointID: {
        type: "int32",
        id: 15
      },
      friendPointOD: {
        type: "int32",
        id: 16
      },
      loginAddCount: {
        type: "int32",
        id: 19
      },
      loginContinueCount: {
        type: "int32",
        id: 20
      },
      completePagoda: {
        type: "bool",
        id: 21
      },
      rtaskId: {
        type: "int32",
        id: 22
      }
    }
  },
  DBViking: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      challengeCount: {
        type: "int32",
        id: 3
      },
      boss: {
        keyType: "int32",
        type: "int32",
        id: 4
      },
      buyCount: {
        type: "int32",
        id: 5
      },
      cTime: {
        type: "int64",
        id: 6
      },
      bossTime: {
        keyType: "string",
        type: "int32",
        id: 7
      }
    }
  },
  DBVikingRank: {
    fields: {
      id: {
        type: "string",
        id: 1
      },
      uid: {
        type: "string",
        id: 2
      },
      difficulty: {
        type: "int32",
        id: 3
      },
      bosstype: {
        type: "int32",
        id: 4
      },
      nickname: {
        type: "string",
        id: 5
      },
      icon: {
        type: "string",
        id: 6
      },
      lv: {
        type: "int32",
        id: 7
      },
      leadpos: {
        type: "int32",
        id: 8
      },
      line: {
        rule: "repeated",
        type: "LineUp",
        id: 9
      },
      costTime: {
        type: "int32",
        id: 10
      }
    }
  },
  VikingGetListReq: {
    fields: {}
  },
  VikingGetListResp: {
    fields: {
      data: {
        type: "DBViking",
        id: 1
      }
    }
  },
  VikingChallengeReq: {
    fields: {
      bossType: {
        type: "int32",
        id: 1
      },
      difficulty: {
        type: "int32",
        id: 2
      },
      leadpos: {
        type: "int32",
        id: 3
      },
      teamids: {
        rule: "repeated",
        type: "string",
        id: 4
      }
    }
  },
  VikingChallengeResp: {
    fields: {
      info: {
        type: "BattleInfo",
        id: 1
      },
      bossType: {
        type: "int32",
        id: 2
      },
      difficulty: {
        type: "int32",
        id: 3
      }
    }
  },
  VikingChallengeOverReq: {
    fields: {
      bossType: {
        type: "int32",
        id: 1
      },
      difficulty: {
        type: "int32",
        id: 2
      },
      report: {
        type: "BattleReport",
        id: 3
      }
    }
  },
  VikingChallengeOverResp: {
    fields: {
      data: {
        type: "DBViking",
        id: 1
      }
    }
  },
  VikingBuyReq: {
    fields: {
      count: {
        type: "int32",
        id: 1
      }
    }
  },
  VikingBuyResp: {
    fields: {
      data: {
        type: "DBViking",
        id: 1
      }
    }
  },
  VikingRankListReq: {
    fields: {
      boosType: {
        type: "int32",
        id: 1
      },
      friend: {
        type: "bool",
        id: 2
      }
    }
  },
  VikingRankListResp: {
    fields: {
      ranks: {
        rule: "repeated",
        type: "DBVikingRank",
        id: 1
      }
    }
  }
});

module.exports = $root;
